const intersectionObserverOptions = {
    root: null,
    rootMargin: '0px', /* 뷰포트 바깥 근접 거리 */
    threshold: [0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1] /* 뷰포트 안쪽 표시 비율 */
};
let callback = (entries, observer) => {
    entries.forEach(entry => {
        if (entry.isIntersecting) { // 요소가 교차했는지 불리언 체크
            let elem = entry.target;
            elem.innerHTML = Math.floor(entry.intersectionRatio * 100)+'%';
        }
    });
};
let observer;
document.addEventListener('DOMContentLoaded', function(){
    observer = new IntersectionObserver(callback, intersectionObserverOptions); // 모니터링 옵저버 객체 생성
    let divs = document.querySelectorAll('div:not(.spacer)'); // 웹페이지의 모든 블록 태그 선택
    divs.forEach((div)=>{observer.observe(div)}); // 블록 요소를 모니터링 옵저버 객체에 등록
});
